#/function terra_eviljenint:cutscene/evil_cloud_intro/1_events
#Created by Mithey

#Move all cameras
#7169 55 7000 -90 20 ---> 7184 55 7000 -90 20
execute if score Scene Clock matches 1..200 as @e[tag=SceneCamera] at @s run tp @s ~0.075 ~ ~ ~ ~
execute if score Scene Clock matches 201..500 as @e[tag=SceneCamera] at @s run tp @s ~ ~ ~ ~ ~-0.01
execute if score Scene Clock matches 501..850 as @e[tag=SceneCamera] at @s run tp @s ~ ~ ~ ~ ~0.01

#Move Pat/Jen 20X
execute if score Scene Clock matches 1..80 run execute as @e[tag=eviljenint_Pat] at @s run tp @s ~0.25 ~ ~
execute if score Scene Clock matches 1..80 run execute as @e[tag=eviljenint_Jen] at @s run tp @s ~0.25 ~ ~

#Spawn Evil Cloud and zombies
execute if score Scene Clock matches 81 run summon minecraft:cat 7196 53 7000 {Rotation:[90f,0f],CatType:2,CustomName:"{\"translate\":\"Evil Cloud\"}",CustomNameVisible:1,NoAI:1,PersistenceRequired:1,Invulnerable:1,Tags:["CustomMob","Enemy","HostileTeam","eviljenint_EvilCloud","SceneActor"],Sitting:1b}
execute if score Scene Clock matches 81 run particle minecraft:flame 7196 53 7000 1 1 1 0 1000 force
execute if score Scene Clock matches 81 run playsound minecraft:sfx_teleport player @a ~ ~ ~ 10
execute if score Scene Clock matches 81 run function terra_eviljenint:cutscene/evil_cloud_intro/summon_zombies

#Evil Cloud: "Welcome to the beginning of the end for you!"
execute if score Scene Clock matches 101 run function terra_eviljenint:lang/cutscene_evil_cloud1
execute if score Scene Clock matches 101 run execute as @e[tag=eviljenint_EvilCloud] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 101 run execute as @e[tag=eviljenint_EvilCloud] at @s run playsound minecraft:entity.cat.hiss player @a ~ ~ ~ 10

#Pat: "Oh no, there is no way we can take this many!"
execute if score Scene Clock matches 241 run function terra_eviljenint:lang/cutscene_evil_cloud2
execute if score Scene Clock matches 241 run execute as @e[tag=eviljenint_Pat] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 241 run execute as @e[tag=eviljenint_Pat] at @s run playsound minecraft:entity.villager.ambient player @a ~ ~ ~ 10

#Evil Cloud: "Did you really think you pathetic humans could save Bomby?"
execute if score Scene Clock matches 381 run function terra_eviljenint:lang/cutscene_evil_cloud3
execute if score Scene Clock matches 381 run execute as @e[tag=eviljenint_EvilCloud] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 381 run execute as @e[tag=eviljenint_EvilCloud] at @s run playsound minecraft:entity.cat.hiss player @a ~ ~ ~ 10

#Evil Cloud: "I shall take you to Evil Jen herself, conscious or not"
execute if score Scene Clock matches 521 run function terra_eviljenint:lang/cutscene_evil_cloud4
execute if score Scene Clock matches 521 run execute as @e[tag=eviljenint_EvilCloud] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 521 run execute as @e[tag=eviljenint_EvilCloud] at @s run playsound minecraft:entity.cat.hiss player @a ~ ~ ~ 10

#Jen: "So, got any bright ideas this time Pat?"
execute if score Scene Clock matches 661 run execute as @e[tag=eviljenint_Jen] at @s run tp @s ~ ~ ~ facing entity @e[tag=eviljenint_Pat,limit=1,sort=nearest]
execute if score Scene Clock matches 661 run function terra_eviljenint:lang/cutscene_evil_cloud5
execute if score Scene Clock matches 661 run execute as @e[tag=eviljenint_Jen] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 661 run execute as @e[tag=eviljenint_Jen] at @s run playsound minecraft:entity.villager.ambient player @a ~ ~ ~ 10

#Music
execute if score Scene Clock matches 751 run function terra_system:music/set_song/as_the_smoke_clears

#Pat: "Unfortunately, no"
execute if score Scene Clock matches 801 run execute as @e[tag=eviljenint_Pat] at @s run tp @s ~ ~ ~ facing entity @e[tag=eviljenint_Jen,limit=1,sort=nearest]
execute if score Scene Clock matches 801 run function terra_eviljenint:lang/cutscene_evil_cloud6
execute if score Scene Clock matches 801 run execute as @e[tag=eviljenint_Pat] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 801 run execute as @e[tag=eviljenint_Pat] at @s run playsound minecraft:entity.villager.ambient player @a ~ ~ ~ 10

#Move all cameras
#7123 52 7001 180 45
execute if score Scene Clock matches 901 as @e[tag=SceneCamera] at @s run tp @s 7123 52 7001 180 45
execute if score Scene Clock matches 901..1200 as @e[tag=SceneCamera] at @s run tp @s ~0.1 ~ ~ ~ ~
execute if score Scene Clock matches 1001 as @e[tag=SceneCamera] at @s run tp @s ~1 ~0.25 ~ ~ ~
execute if score Scene Clock matches 1101 as @e[tag=SceneCamera] at @s run tp @s ~-5 ~ ~ -115 ~
execute if score Scene Clock matches 1151 as @e[tag=SceneCamera] at @s run tp @s ~ ~1 ~ ~ ~

#Summon and move cloud
execute if score Scene Clock matches 901 run execute as @e[tag=eviljenint_Cloud] at @s run tp @s ~ ~-500 ~
execute if score Scene Clock matches 901 run summon minecraft:cat 7125 53 7000 {CustomName:"{\"translate\":\"Cloud\"}",CustomNameVisible:1b,Rotation:[-90f,0f],NoAI:1b,Invulnerable:1b,PersistenceRequired:1b,DeathLootTable:"empty",Tags:["CustomMob","Ally","FriendlyTeam","SceneActor","eviljenint_Cloud"],CatType:3}
execute if score Scene Clock matches 901..1200 run execute as @e[tag=eviljenint_Cloud] at @s run tp @s ~0.1 ~ ~ ~ ~
execute if score Scene Clock matches 1151 run execute as @e[tag=eviljenint_Cloud] at @s run playsound minecraft:sfx_savagery player @a ~ ~ ~ 10 0.5
execute if score Scene Clock matches 1151.. run execute as @e[tag=eviljenint_Cloud] at @s run particle minecraft:flame ~ ~ ~ 0.5 0.5 0.5 1 20 force

#Move all cameras
#7179 56 7005 -120 25
execute if score Scene Clock matches 1201 as @e[tag=SceneCamera] at @s run tp @s 7179 56 7005 -120 25
execute if score Scene Clock matches 1201.. as @e[tag=SceneCamera] at @s run tp @s ~0.025 ~ ~

#Evil Cloud: "YOU! YOU'RE NOT SUPPOSE TO EXIST! THIS CAN'T BE!"
execute if score Scene Clock matches 1201 run function terra_eviljenint:lang/cutscene_evil_cloud7
execute if score Scene Clock matches 1201 run execute as @e[tag=eviljenint_EvilCloud] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 1201 run execute as @e[tag=eviljenint_EvilCloud] at @s run playsound minecraft:entity.cat.hiss player @a ~ ~ ~ 10

#Cloud kills zombies and clashes with Evil Cloud
execute if score Scene Clock matches 1201.. run execute as @e[tag=eviljenint_Cloud] at @s run tp @s ^ ^ ^0.75 facing entity @e[tag=eviljenint_EvilCloudZombie,limit=1,sort=nearest]
execute if score Scene Clock matches 1201.. run execute as @e[tag=eviljenint_Cloud] at @s run execute if entity @e[tag=eviljenint_EvilCloudZombie,limit=1,sort=nearest,distance=..2] run playsound minecraft:entity.generic.explode player @a ~ ~ ~ 4 1.5
execute if score Scene Clock matches 1201.. run execute as @e[tag=eviljenint_Cloud] at @s run kill @e[tag=eviljenint_EvilCloudZombie,distance=..2]
execute if score Scene Clock matches 1201..1300 run execute unless entity @e[tag=eviljenint_EvilCloudZombie] run execute as @e[tag=eviljenint_Cloud] at @s run tp @s ^ ^ ^0.75 facing entity @e[tag=eviljenint_EvilCloud,limit=1,sort=nearest]
execute if score Scene Clock matches 1201..1300 run execute unless entity @e[tag=eviljenint_EvilCloudZombie] run execute as @e[tag=eviljenint_EvilCloud] at @s run tp @s ^ ^ ^0.75 facing entity @e[tag=eviljenint_Cloud,limit=1,sort=nearest]
execute if score Scene Clock matches 1300.. run execute as @e[tag=eviljenint_Cloud] at @s run function terra_eviljenint:cutscene/evil_cloud_intro/cloud_animation
execute if score Scene Clock matches 1300.. run execute as @e[tag=eviljenint_EvilCloud] at @s run function terra_eviljenint:cutscene/evil_cloud_intro/evil_cloud_animation

#Pat/Jen face Cloud
execute if score Scene Clock matches 1201..1340 run execute as @e[tag=eviljenint_Pat] at @s run tp @s ~ ~ ~ facing entity @e[tag=eviljenint_Cloud,limit=1,sort=nearest]
execute if score Scene Clock matches 1201..1340 run execute as @e[tag=eviljenint_Jen] at @s run tp @s ~ ~ ~ facing entity @e[tag=eviljenint_Cloud,limit=1,sort=nearest]

#Pat: "Hurry now is our chance to push forward!"
execute if score Scene Clock matches 1341 run execute as @e[tag=eviljenint_Pat] at @s run tp @s ~ ~ ~ facing entity @e[tag=eviljenint_Jen,limit=1,sort=nearest]
execute if score Scene Clock matches 1341 run execute as @e[tag=eviljenint_Jen] at @s run tp @s ~ ~ ~ facing entity @e[tag=eviljenint_Pat,limit=1,sort=nearest]
execute if score Scene Clock matches 1341 run function terra_eviljenint:lang/cutscene_evil_cloud8
execute if score Scene Clock matches 1341 run execute as @e[tag=eviljenint_Pat] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 1341 run execute as @e[tag=eviljenint_Pat] at @s run playsound minecraft:entity.villager.ambient player @a ~ ~ ~ 10

#Pat/Jen move forward
execute if score Scene Clock matches 1341..1440 run execute as @e[tag=eviljenint_Pat] at @s run tp @s ~0.125 ~ ~ -90 0
execute if score Scene Clock matches 1341..1440 run execute as @e[tag=eviljenint_Jen] at @s run tp @s ~0.125 ~ ~ -90 0

#Jen: "But we can't just leave Cloud!"
execute if score Scene Clock matches 1441 run function terra_eviljenint:lang/cutscene_evil_cloud9
execute if score Scene Clock matches 1441 run execute as @e[tag=eviljenint_Jen] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 1441 run execute as @e[tag=eviljenint_Jen] at @s run playsound minecraft:entity.villager.ambient player @a ~ ~ ~ 10
execute if score Scene Clock matches 1461 run execute as @e[tag=eviljenint_Jen] at @s run tp @s ~ ~ ~ facing entity @e[tag=eviljenint_EvilCloud,limit=1,sort=nearest]

#Pat: "Don't worry about him. Cloud is way more savage than that Cat"
execute if score Scene Clock matches 1541 run function terra_eviljenint:lang/cutscene_evil_cloud10
execute if score Scene Clock matches 1541 run execute as @e[tag=eviljenint_Pat] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 1541 run execute as @e[tag=eviljenint_Pat] at @s run playsound minecraft:entity.villager.ambient player @a ~ ~ ~ 10

#Pat/Jen move forward
execute if score Scene Clock matches 1601.. run execute as @e[tag=eviljenint_Pat] at @s run tp @s ~0.25 ~ ~ -90 0
execute if score Scene Clock matches 1601.. run execute as @e[tag=eviljenint_Jen] at @s run tp @s ~0.25 ~ ~ -90 0

#Jen: "Hmm...Yeah, you're right"
execute if score Scene Clock matches 1641 run function terra_eviljenint:lang/cutscene_evil_cloud11
execute if score Scene Clock matches 1641 run execute as @e[tag=eviljenint_Jen] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 1641 run execute as @e[tag=eviljenint_Jen] at @s run playsound minecraft:entity.villager.ambient player @a ~ ~ ~ 10








