#/function terra_eviljenint:encounters/evil_jen/start
#Created by Mithey

#Move player to correct location in adventure mode
gamemode adventure @a
data merge block 49 4 2 {Command:"tp @a[tag=TeleportAndSpawn] 7183 58 6920 -90 0"}
data merge block 50 4 2 {Command:"spawnpoint @a[tag=TeleportAndSpawn] 7183 58 6920"}
execute as @a at @s run function terra_system:misc/move_player_to_current_spawn
function terra_system:on_spawn_change
#function terra_system:on_area_change

#Clear entities
execute as @e[tag=NaturalMob] at @s run tp @s ~ ~-500 ~
kill @e[tag=NaturalMob]

#Reset fury
execute as @a run function terra_system:fury/reset_fury

#Title
title @a times 20 60 60
function terra_eviljenint:lang/encounter_evil_jen_title

#Objective boss bar
bossbar set minecraft:200 name "Boss Health"
bossbar set minecraft:200 color green
execute if score TerraRestore Difficulty matches 1 run bossbar set minecraft:200 value 300
execute if score TerraRestore Difficulty matches 2 run bossbar set minecraft:200 value 650
execute if score TerraRestore Difficulty matches 3 run bossbar set minecraft:200 value 900
execute if score TerraRestore Difficulty matches 1 run bossbar set minecraft:200 max 300
execute if score TerraRestore Difficulty matches 2 run bossbar set minecraft:200 max 650
execute if score TerraRestore Difficulty matches 3 run bossbar set minecraft:200 max 900
bossbar set minecraft:200 style notched_10
bossbar set minecraft:200 visible true

#Playsound
execute as @a at @s run playsound minecraft:entity.wither.spawn hostile @s ~ ~ ~ 30 0.8

#Music
function terra_system:music/set_song/ragnarok_fate_of_the_gods

#Close gates
#fill X1 Y1 Z1 X2 Y2 Z2 minecraft:iron_bars replace minecraft:air

#Fix platforms
execute as @e[tag=eviljenint_PlatformSection] at @s run clone ~ ~-1 ~ ~8 ~-1 ~8 ~ ~ ~

#Objectives
scoreboard objectives add EncounterTime dummy
scoreboard objectives add EncounterDeath minecraft.custom:minecraft.deaths
scoreboard players set TerraRestore InEncounter 1
scoreboard objectives add BossHealth dummy

#Heal player
effect give @a minecraft:instant_health 1 20 true
effect give @a minecraft:saturation 1 20 true
execute as @a at @s run function terra_system:potions/refill_potion

scoreboard players set EvilJenDifficulty Temp 1

function terra_eviljenint:lang/encounter_evil_jen1

#Summon in entities
execute if score TerraRestore Difficulty matches 1 run summon zombie_villager 7201 58 6920 {Rotation:[90f,0f],CustomName:"{\"translate\":\"Evil Jen\"}",CustomNameVisible:1b,Attributes:[{Name:generic.maxHealth,Base:300},{Name:generic.movementSpeed,Base:0.325},{Name:generic.armor,Base:0}],PersistenceRequired:1,DeathLootTable:"empty",ActiveEffects:[{Id:11,Duration:2000000000,Amplifier:3,ShowParticles:0b},{Id:12,Duration:2000000000,Amplifier:0,ShowParticles:0b}],Health:300,Tags:["CustomMob","Boss","HostileTeam","Enemy","eviljenint_BossEvilJen"],Offers:{Recipes:[]},VillagerData:{profession:"minecraft:butcher",type:"minecraft:plains"}}
execute if score TerraRestore Difficulty matches 2 run summon zombie_villager 7201 58 6920 {Rotation:[90f,0f],CustomName:"{\"translate\":\"Evil Jen\"}",CustomNameVisible:1b,Attributes:[{Name:generic.maxHealth,Base:650},{Name:generic.movementSpeed,Base:0.35},{Name:generic.armor,Base:10}],PersistenceRequired:1,DeathLootTable:"empty",ActiveEffects:[{Id:11,Duration:2000000000,Amplifier:3,ShowParticles:0b},{Id:12,Duration:2000000000,Amplifier:0,ShowParticles:0b}],Health:650,Tags:["CustomMob","Boss","HostileTeam","Enemy","eviljenint_BossEvilJen"],Offers:{Recipes:[]},VillagerData:{profession:"minecraft:butcher",type:"minecraft:plains"}}
execute if score TerraRestore Difficulty matches 3 run summon zombie_villager 7201 58 6920 {Rotation:[90f,0f],CustomName:"{\"translate\":\"Evil Jen\"}",CustomNameVisible:1b,Attributes:[{Name:generic.maxHealth,Base:900},{Name:generic.movementSpeed,Base:0.375},{Name:generic.armor,Base:20}],PersistenceRequired:1,DeathLootTable:"empty",ActiveEffects:[{Id:11,Duration:2000000000,Amplifier:3,ShowParticles:0b},{Id:12,Duration:2000000000,Amplifier:0,ShowParticles:0b}],Health:900,Tags:["CustomMob","Boss","HostileTeam","Enemy","eviljenint_BossEvilJen"],Offers:{Recipes:[]},VillagerData:{profession:"minecraft:butcher",type:"minecraft:plains"}}

#Start encounter clock
data merge block ~ ~ ~ {Command:"function terra_eviljenint:encounters/evil_jen/clock"}





