#/function terra_spookaycave:encounters/arena/end
#Created by Mithey

#Run won/lost stuff
execute if score WonEncounter Temp matches 0 run function terra_spookaycave:encounters/arena/end_lost
execute if score WonEncounter Temp matches 1 run function terra_spookaycave:encounters/arena/end_won

#Kill entities
execute as @e[tag=spookaycave_SkeletonBow,x=3001,y=44,z=3132,distance=..30] at @s run tp @s ~ ~-500 ~
execute as @e[tag=spookaycave_Zombie,x=3001,y=44,z=3132,distance=..30] at @s run tp @s ~ ~-500 ~
execute as @e[tag=spookaycave_Spider,x=3001,y=44,z=3132,distance=..30] at @s run tp @s ~ ~-500 ~
execute as @e[tag=spookaycave_CaveSpider,x=3001,y=44,z=3132,distance=..30] at @s run tp @s ~ ~-500 ~
execute as @e[tag=spookaycave_Ghost,x=3001,y=44,z=3132,distance=..30] at @s run tp @s ~ ~-500 ~

#Hide boss bars
bossbar set minecraft:200 visible false
bossbar set minecraft:201 visible false
bossbar set minecraft:202 visible false

#Ensure death is processed
execute as @a[scores={Death=1..}] at @s run function terra_spookaycave:on_death

#Remove objectives
scoreboard objectives remove EncounterTime
scoreboard objectives remove EncounterDeath
scoreboard players set TerraRestore InEncounter 0
scoreboard players reset WonEncounter Temp
scoreboard objectives remove RemainingTime
scoreboard players reset Encounter Clock

#Music
function terra_system:music/set_song/the_mad_harvester

#Turn off clock
setblock ~-1 ~ ~ minecraft:lapis_block
data merge block ~ ~ ~ {Command:"function terra_spookaycave:encounters/arena/attempt_start"}

#Heal player
effect give @a minecraft:instant_health 1 20 true
effect give @a minecraft:saturation 1 20 true
execute as @a at @s run function terra_system:potions/refill_potion

#Move player to correct location in adventure mode
gamemode adventure @a
execute as @a at @s run function terra_system:misc/move_player_to_current_spawn
function terra_system:on_spawn_change
#function terra_system:on_area_change








