#/execute as @a[tag=InventoryChanged] at @s run function terra_system:items/on_inventory_change_tick
#Created by Mithey
#This is being called 1 tick later to avoid visual invisible item bug

#Clear weapons player isn't meant to have
function terra_system:items/melee/clear_weapons

#Clear class items player isn't meant to have
execute unless entity @s[scores={Class=1}] run clear @s minecraft:carrot_on_a_stick{Damage:21}
execute unless entity @s[scores={Class=1}] run clear @s minecraft:fishing_rod
execute unless entity @s[scores={Class=2}] run clear @s minecraft:carrot_on_a_stick{Damage:20}
execute unless entity @s[scores={Class=2}] run clear @s minecraft:bow
execute unless entity @s[scores={Class=2}] run clear @s minecraft:arrow
execute unless entity @s[scores={Class=2}] run clear @s minecraft:tipped_arrow
execute unless entity @s[scores={Class=3}] run clear @s minecraft:carrot_on_a_stick{Damage:19}
execute unless entity @s[scores={Class=4}] run clear @s minecraft:carrot_on_a_stick{Damage:18}
execute unless entity @s[scores={Class=4}] run clear @s minecraft:flint_and_steel
execute unless entity @s[scores={Class=5}] run clear @s minecraft:carrot_on_a_stick{Damage:17}
execute store result score Inventory Temp run clear @s minecraft:tipped_arrow 0
execute if score Inventory Temp matches 6.. run clear @s minecraft:tipped_arrow

#Give weapons player is meant to have
function terra_system:items/melee/give_weapons

#Give player back main menu if they are missing it
execute store result score Inventory Temp run clear @s minecraft:carrot_on_a_stick{Damage:25} 0
execute if score Inventory Temp matches 0 run function terra_system:items/misc/main_menu

#Give player back lucky leap if they are missing it
execute store result score Inventory Temp run clear @s minecraft:carrot_on_a_stick{Damage:22} 0
execute if score Inventory Temp matches 0 if block 109 4 -30 minecraft:green_wool run function terra_system:items/abilities/lucky_leap

#Give player back pickaxe if they are missing it
execute store result score Inventory Temp run clear @s minecraft:diamond_pickaxe{Damage:1561} 0
execute if score Inventory Temp matches 0 if block 110 4 -30 minecraft:green_wool run function terra_system:items/misc/trusty_pickaxe

#Give player back trident if they are missing it
execute store result score Inventory Temp run clear @s minecraft:trident 0
execute if score Inventory Temp matches 0 if block 111 4 -26 minecraft:green_wool run function terra_system:items/misc/trident

#Give player back class abilities if they are missing any
execute if score @s Class matches 1 run execute store result score Inventory Temp run clear @s minecraft:carrot_on_a_stick{Damage:21} 0
execute if score @s Class matches 1 run execute if score Inventory Temp matches 0 run function terra_system:items/abilities/lucky_block
execute if score @s Class matches 1 run execute store result score Inventory Temp run clear @s minecraft:fishing_rod 0
execute if score @s Class matches 1 run execute if score Inventory Temp matches 0 run function terra_system:items/abilities/fishing_rod
execute if score @s Class matches 2 run execute store result score Inventory Temp run clear @s minecraft:carrot_on_a_stick{Damage:20} 0
execute if score @s Class matches 2 run execute if score Inventory Temp matches 0 run function terra_system:items/abilities/helpful_friend
execute if score @s Class matches 2 run execute store result score Inventory Temp run clear @s minecraft:bow 0
execute if score @s Class matches 2 run execute if score Inventory Temp matches 0 run function terra_system:items/abilities/bow
execute if score @s Class matches 3 run execute store result score Inventory Temp run clear @s minecraft:carrot_on_a_stick{Damage:19} 0
execute if score @s Class matches 3 run execute if score Inventory Temp matches 0 run function terra_system:items/abilities/savagery
execute if score @s Class matches 4 run execute store result score Inventory Temp run clear @s minecraft:carrot_on_a_stick{Damage:18} 0
execute if score @s Class matches 4 run execute if score Inventory Temp matches 0 run function terra_system:items/abilities/friendly_explosion
execute if score @s Class matches 4 run execute store result score Inventory Temp run clear @s minecraft:flint_and_steel 0
execute if score @s Class matches 4 run execute if score Inventory Temp matches 0 run function terra_system:items/abilities/flint_and_steel
execute if score @s Class matches 5 run execute store result score Inventory Temp run clear @s minecraft:carrot_on_a_stick{Damage:17} 0
execute if score @s Class matches 5 run execute if score Inventory Temp matches 0 run function terra_system:items/abilities/rainbow_beam

#Give player back potion of rejuvenation if they are missing it
execute store result score Inventory Temp run clear @s minecraft:potion{PotionOfRejuvenation:1} 0
execute store result score Inventory2 Temp run clear @s minecraft:glass_bottle{PotionOfRejuvenation:1} 0
execute if score Inventory Temp matches 0 if score Inventory2 Temp matches 0 if block 110 4 -30 minecraft:green_wool run function terra_system:items/misc/potion_of_rejuvenation

#Clean up
tag @s remove InventoryChanged
scoreboard players reset Inventory Temp
scoreboard players reset Inventory2 Temp







