#/function terra_system:memory/on_memory_load
#Created by Mithey

#Set options back to what was chosen by player
#Music
execute if block 110 4 -32 minecraft:green_wool run function terra_system:options/music_enable
execute if block 110 4 -32 minecraft:red_wool run function terra_system:options/music_disable
#Difficulty
execute if block 109 4 -32 minecraft:yellow_wool run function terra_system:options/difficulty_easy
execute if block 109 4 -32 minecraft:orange_wool run function terra_system:options/difficulty_normal
execute if block 109 4 -32 minecraft:red_wool run function terra_system:options/difficulty_hard
#Performance
execute if block 108 4 -32 minecraft:yellow_wool run function terra_system:options/performance_minimal
execute if block 108 4 -32 minecraft:orange_wool run function terra_system:options/performance_normal
execute if block 108 4 -32 minecraft:red_wool run function terra_system:options/performance_maximum
#Friendly fire
execute if block 107 4 -32 minecraft:green_wool run function terra_system:options/friendly_fire_enable
execute if block 107 4 -32 minecraft:red_wool run function terra_system:options/friendly_fire_disable
#Infinite lives in encounters
execute if block 105 4 -32 minecraft:green_wool run function terra_system:options/infinite_lives_enable
execute if block 105 4 -32 minecraft:red_wool run function terra_system:options/infinite_lives_disable

#Set gold back
execute store result score *Gold Sidebar run data get block 80 4 -32 SuccessCount

#Set terra crystals back
execute store result score TerraRestore TerraCrystals run data get block 80 4 -31 SuccessCount

#Add experience back
function terra_system:exp/reset_exp
execute store result score Amount Temp run data get block 80 4 -28 SuccessCount
function terra_system:exp/add_exp

#Keep current map version
execute store result block 80 4 -30 SuccessCount int 1 run scoreboard players get TerraRestore MapVersion

#Setup area to load when player leaves area
execute as @a at @s run function terra_system:memory/move_player_to_memory_area
data merge block 50 4 2 {Command:""}
data merge block 49 4 2 {Command:"function terra_system:areas/load_the_land_above"}
#If beat 1st area
execute if block 106 4 -30 minecraft:green_wool run data merge block 49 4 2 {Command:"function terra_system:areas/load_the_land_above"}
execute if block 106 4 -30 minecraft:green_wool run setblock 103 4 -30 minecraft:green_wool
#If beat 2nd area
execute if block 103 4 -29 minecraft:green_wool run data merge block 49 4 2 {Command:"function terra_system:areas/load_the_land_below"}
execute if block 103 4 -29 minecraft:green_wool run setblock 102 4 -29 minecraft:green_wool
#If beat 3rd area
execute if block 103 4 -28 minecraft:green_wool run data merge block 49 4 2 {Command:"function terra_system:areas/load_spookay_cave"}
execute if block 103 4 -28 minecraft:green_wool run setblock 102 4 -28 minecraft:green_wool
#If beat 4th area
execute if block 102 4 -27 minecraft:green_wool run data merge block 49 4 2 {Command:"function terra_system:areas/load_the_resistance_camp"}
execute if block 102 4 -27 minecraft:green_wool run setblock 101 4 -27 minecraft:green_wool
#If beat 5th area
execute if block 103 4 -26 minecraft:green_wool run data merge block 49 4 2 {Command:"function terra_system:areas/load_worlds_edge"}
execute if block 103 4 -26 minecraft:green_wool run setblock 102 4 -26 minecraft:green_wool
#If beat 6th area
execute if block 105 4 -25 minecraft:green_wool run data merge block 49 4 2 {Command:"function terra_system:areas/load_evil_jen_castle_exterior"}
execute if block 105 4 -25 minecraft:green_wool run setblock 104 4 -25 minecraft:green_wool





#Loading complete message
function terra_system:lang/memory_loading_complete





