#/function terra_thelandbelow:cutscene/intro/1_events
#Created by Mithey

data merge entity @e[tag=thelandbelow_Jen,limit=1,sort=nearest] {VillagerData:{profession:"minecraft:cleric",type:"minecraft:plains"}}
data merge entity @e[tag=thelandbelow_Pat,limit=1,sort=nearest] {VillagerData:{profession:"minecraft:armorer",type:"minecraft:plains"}}

#Move all cameras
#2050 61 2047 135 -45 ---> 2050 61 2047 135 70
execute if score Scene Clock matches 51..125 as @e[tag=SceneCamera] at @s run tp @s ~ ~ ~ ~ ~1.5322
#2050 61 2047 135 70 ---> 2050 27 2047 135 -25
execute if score Scene Clock matches 151..190 as @e[tag=SceneCamera] at @s run tp @s ~ ~-0.85 ~ ~ ~-2.375
#2050 27 2047 135 -25 ---> 2047 27 2044 135 0
execute if score Scene Clock matches 211..270 as @e[tag=SceneCamera] at @s run tp @s ~-0.05 ~ ~-0.05 ~ ~0.4166
#2047 27 2044 135 0 ---> 2047 27 2044 135 -15
execute if score Scene Clock matches 271..470 as @e[tag=SceneCamera] at @s run tp @s ~ ~ ~ ~ ~-0.075
#2047 27 2044 135 -15 ---> 2047 27 2044 135 0
execute if score Scene Clock matches 471..670 as @e[tag=SceneCamera] at @s run tp @s ~ ~ ~ ~ ~0.075
#2047 27 2044 135 0 ---> 2047 27 2044 135 -15
execute if score Scene Clock matches 671..870 as @e[tag=SceneCamera] at @s run tp @s ~ ~ ~ ~ ~-0.075
#2047 27 2044 135 -15 ---> 2047 27 2044 135 0
execute if score Scene Clock matches 871..1070 as @e[tag=SceneCamera] at @s run tp @s ~ ~ ~ ~ ~0.075
#2047 27 2044 135 0 ---> 2047 27 2044 135 -75
execute if score Scene Clock matches 1070..1300 as @e[tag=SceneCamera] at @s run tp @s ~ ~ ~ ~ ~-0.326

#Jen falls
execute if score Scene Clock matches 71..71 run summon villager 2045 70 2040 {Offers:{Recipes:[]},VillagerData:{profession:"minecraft:cleric",type:"minecraft:plains"},CustomName:"{\"translate\":\"Jen\"}",CustomNameVisible:1b,Rotation:[-45f,0f],NoAI:0b,Invulnerable:1b,PersistenceRequired:1b,DeathLootTable:"empty",Tags:["CustomMob","Ally","FriendlyTeam","thelandbelow_Jen"]}
execute if score Scene Clock matches 71..71 run playsound minecraft:block.portal.travel block @a 2044 71 2041 10 2
execute if score Scene Clock matches 101..101 run execute as @e[tag=thelandbelow_Jen] at @s run tp @s 2045 27 2040 -45 0
execute if score Scene Clock matches 101..101 run execute as @e[tag=thelandbelow_Jen] at @s run data merge entity @s {NoAI:1}
execute if score Scene Clock matches 106..106 run particle minecraft:heart 2045 27 2040 1 1 1 0 100 force
execute if score Scene Clock matches 111..111 run particle minecraft:heart 2045 27 2040 2 1 2 0 100 force
execute if score Scene Clock matches 116..116 run particle minecraft:heart 2045 27 2040 3 1 3 0 100 force
execute if score Scene Clock matches 106..106 run playsound entity.generic.explode hostile @a 2044 26 2041 10 2
execute if score Scene Clock matches 106..106 run function terra_thelandbelow:lang/cutscene_intro1

#Pat falls
execute if score Scene Clock matches 171..171 run summon armor_stand 2043 69 2042 {Rotation:[135f,0f],CustomName:"{\"translate\":\"Pat\"}",CustomNameVisible:1b,Invisible:1,Marker:0,NoGravity:0,Invulnerable:1,Pose:{Head:[180f,0f,0f]},ArmorItems:[{},{},{},{id:diamond_hoe,Count:1b,tag:{Damage:1521}}],Tags:["CustomMob","Ally","FriendlyTeam","thelandbelow_ArmorStandPat"]}
execute if score Scene Clock matches 171..171 run playsound minecraft:block.portal.travel block @a 2044 71 2041 10 2
execute if score Scene Clock matches 211..211 run particle minecraft:explosion_emitter 2043 27 2042 1 1 1 0 10 force
execute if score Scene Clock matches 211..211 run playsound entity.generic.explode hostile @a 2044 26 2041 10 0.5
execute if score Scene Clock matches 211..211 run execute as @e[tag=thelandbelow_ArmorStandPat] at @s run data merge entity @s {Pose:{Head:[-90f,0f,0f]},Rotation:[-45f,0f],NoGravity:1}
execute if score Scene Clock matches 211..211 run execute as @e[tag=thelandbelow_ArmorStandPat] at @s run tp @s ~ ~-1.2 ~
execute if score Scene Clock matches 211..211 run function terra_thelandbelow:lang/cutscene_intro2

#Pat stands up
execute if score Scene Clock matches 311..311 run tp @e[tag=thelandbelow_ArmorStandPat] ~ ~-500 ~
execute if score Scene Clock matches 311..311 run summon villager 2043 27 2042 {Offers:{Recipes:[]},VillagerData:{profession:"minecraft:armorer",type:"minecraft:plains"},CustomName:"{\"translate\":\"Pat\"}",CustomNameVisible:1b,Rotation:[-45f,0f],NoAI:1b,Invulnerable:1b,PersistenceRequired:1b,DeathLootTable:"empty",Tags:["CustomMob","Ally","FriendlyTeam","thelandbelow_Pat"]}
execute if score Scene Clock matches 311..311 run function terra_thelandbelow:lang/cutscene_intro3
execute if score Scene Clock matches 311..311 run execute as @e[tag=thelandbelow_Pat] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 311..311 run execute as @e[tag=thelandbelow_Pat] at @s run playsound minecraft:entity.villager.yes player @a ~ ~ ~ 10

#Pat faces Jen
execute if score Scene Clock matches 411..411 run execute as @e[tag=thelandbelow_Pat] at @s run tp @s ~ ~ ~ facing entity @e[tag=thelandbelow_Jen,limit=1,sort=nearest]
execute if score Scene Clock matches 411..411 run function terra_thelandbelow:lang/cutscene_intro4
execute if score Scene Clock matches 411..411 run execute as @e[tag=thelandbelow_Pat] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 411..411 run execute as @e[tag=thelandbelow_Pat] at @s run playsound minecraft:entity.villager.yes player @a ~ ~ ~ 10

#Jen faces Pat
execute if score Scene Clock matches 541..541 run execute as @e[tag=thelandbelow_Jen] at @s run tp @s ~ ~ ~ facing entity @e[tag=thelandbelow_Pat,limit=1,sort=nearest]
execute if score Scene Clock matches 541..541 run function terra_thelandbelow:lang/cutscene_intro5
execute if score Scene Clock matches 541..541 run execute as @e[tag=thelandbelow_Jen] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 541..541 run execute as @e[tag=thelandbelow_Jen] at @s run playsound minecraft:entity.villager.yes player @a ~ ~ ~ 10

#Pat pulls out swords
execute if score Scene Clock matches 701..701 run execute as @e[tag=thelandbelow_Pat] at @s run summon armor_stand ~ ~ ~ {Invisible:1,Invulnerable:1,NoGravity:1,Marker:1,Rotation:[-135f,0f],Pose:{LeftArm:[315f,0f,0f],RightArm:[315f,0f,0f]},HandItems:[{id:"minecraft:diamond_hoe",Count:1b,tag:{Damage:1538}},{id:"minecraft:diamond_hoe",Count:1b,tag:{Damage:1538}}],Tags:["thelandbelow_PatArmorStandWeapon"]}
execute if score Scene Clock matches 701..701 run function terra_thelandbelow:lang/cutscene_intro6
execute if score Scene Clock matches 701..701 run execute as @e[tag=thelandbelow_Pat] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 701..701 run execute as @e[tag=thelandbelow_Pat] at @s run playsound minecraft:entity.villager.yes player @a ~ ~ ~ 10
execute if score Scene Clock matches 711..711 run execute as @e[tag=thelandbelow_PatArmorStandWeapon] at @s run data merge entity @s {Pose:{LeftArm:[285f,0f,0f],RightArm:[315f,0f,0f]}}
execute if score Scene Clock matches 721..721 run execute as @e[tag=thelandbelow_PatArmorStandWeapon] at @s run data merge entity @s {Pose:{LeftArm:[285f,0f,0f],RightArm:[285f,0f,0f]}}
execute if score Scene Clock matches 731..731 run execute as @e[tag=thelandbelow_PatArmorStandWeapon] at @s run data merge entity @s {Pose:{LeftArm:[315f,0f,0f],RightArm:[285f,0f,0f]}}
execute if score Scene Clock matches 741..741 run execute as @e[tag=thelandbelow_PatArmorStandWeapon] at @s run data merge entity @s {Pose:{LeftArm:[315f,0f,0f],RightArm:[315f,0f,0f]}}

#Jen pulls out swords
execute if score Scene Clock matches 851..851 run execute as @e[tag=thelandbelow_Jen] at @s run summon armor_stand ~ ~ ~ {Invisible:1,Invulnerable:1,NoGravity:1,Marker:1,Rotation:[45f,0f],Pose:{LeftArm:[315f,0f,0f],RightArm:[315f,0f,0f]},HandItems:[{id:"minecraft:diamond_hoe",Count:1b,tag:{Damage:1537}},{id:"minecraft:diamond_hoe",Count:1b,tag:{Damage:1537}}],Tags:["thelandbelow_JenArmorStandWeapon"]}
execute if score Scene Clock matches 851..851 run function terra_thelandbelow:lang/cutscene_intro7
execute if score Scene Clock matches 851..851 run execute as @e[tag=thelandbelow_Jen] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 851..851 run execute as @e[tag=thelandbelow_Jen] at @s run playsound minecraft:entity.villager.yes player @a ~ ~ ~ 10

#Pat looks up
execute if score Scene Clock matches 1001..1001 run execute as @e[tag=thelandbelow_Pat] at @s run tp @s ~ ~ ~ ~ -75
execute if score Scene Clock matches 1001..1001 run function terra_thelandbelow:lang/cutscene_intro8
execute if score Scene Clock matches 1001..1001 run execute as @e[tag=thelandbelow_Pat] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 1001..1001 run execute as @e[tag=thelandbelow_Pat] at @s run playsound minecraft:entity.villager.yes player @a ~ ~ ~ 10

#Jen looks up
execute if score Scene Clock matches 1151..1151 run kill @e[tag=thelandbelow_PatArmorStandWeapon]
execute if score Scene Clock matches 1151..1151 run kill @e[tag=thelandbelow_JenArmorStandWeapon]
execute if score Scene Clock matches 1151..1151 run execute as @e[tag=thelandbelow_Jen] at @s run tp @s ~ ~ ~ ~ -75
execute if score Scene Clock matches 1151..1151 run function terra_thelandbelow:lang/cutscene_intro9
execute if score Scene Clock matches 1151..1151 run execute as @e[tag=thelandbelow_Jen] at @s run function terra_system:animations/talk
execute if score Scene Clock matches 1151..1151 run execute as @e[tag=thelandbelow_Jen] at @s run playsound minecraft:entity.villager.yes player @a ~ ~ ~ 10



























