#/function terra_thelandabove:encounters/ship/start
#Created by Mithey

#Move player to correct location in adventure mode
gamemode adventure @a
data merge block 49 4 2 {Command:"tp @a[tag=TeleportAndSpawn] 1342 26 1123 -90 0"}
data merge block 50 4 2 {Command:"spawnpoint @a[tag=TeleportAndSpawn] 1342 26 1123"}
execute as @a at @s run function terra_system:misc/move_player_to_current_spawn
function terra_system:on_spawn_change
#function terra_system:on_area_change

#Clear entities
execute as @e[tag=NaturalMob] at @s run tp @s ~ ~-500 ~
kill @e[tag=NaturalMob]

#Reset fury
execute as @a run function terra_system:fury/reset_fury

#Title
title @a times 20 60 60
function terra_thelandabove:lang/encounter_ship_title

#Objective boss bar
bossbar set minecraft:200 name "Time"
bossbar set minecraft:200 color green
bossbar set minecraft:200 value 90
bossbar set minecraft:200 max 90
bossbar set minecraft:200 style notched_10
bossbar set minecraft:200 visible true

#Playsound
execute as @a at @s run playsound minecraft:entity.wither.spawn hostile @s ~ ~ ~ 30 0.8

#Music
function terra_system:music/set_song/the_undead_horde

#Close gates
fill 1339 27 1122 1339 25 1124 minecraft:iron_bars replace air
fill 1341 33 1109 1343 25 1109 minecraft:barrier replace minecraft:air

#Objectives
scoreboard objectives add EncounterTime dummy
scoreboard objectives add EncounterDeath minecraft.custom:minecraft.deaths
scoreboard players set TerraRestore InEncounter 1
scoreboard objectives add RemainingTime dummy
scoreboard players set TerraRestore RemainingTime 90

#Heal player
effect give @a minecraft:instant_health 1 20 true
effect give @a minecraft:saturation 1 20 true
execute as @a at @s run function terra_system:potions/refill_potion

#Summon in entities
#...

#Start encounter clock
data merge block ~ ~ ~ {Command:"function terra_thelandabove:encounters/ship/clock"}





