#/function terra_theresistancecamp:misc/snowball/clock
#Created by Mithey

scoreboard players add SnowballTotalTime Temp 1

#Summon snowmen
scoreboard players add SnowballSummonSnowman Temp 1
execute if score SnowballSummonSnowman Temp matches 60 run function terra_theresistancecamp:misc/snowball/summon_snowman
execute if score SnowballSummonSnowman Temp matches 60 run execute if score SnowballTotalTime Temp matches 400.. run function terra_theresistancecamp:misc/snowball/summon_snowman
execute if score SnowballSummonSnowman Temp matches 60 run execute if score SnowballTotalTime Temp matches 800.. run function terra_theresistancecamp:misc/snowball/summon_snowman
execute if score SnowballSummonSnowman Temp matches 60 run execute if score SnowballTotalTime Temp matches 1200.. run function terra_theresistancecamp:misc/snowball/summon_snowman
execute if score SnowballSummonSnowman Temp matches 60 run execute if score SnowballTotalTime Temp matches 1600.. run function terra_theresistancecamp:misc/snowball/summon_snowman
execute if score SnowballSummonSnowman Temp matches 60.. run scoreboard players set SnowballSummonSnowman Temp 0

#Give players snowballs to use
scoreboard players add SnowballGiveSnowball Temp 1
execute if score SnowballGiveSnowball Temp matches 100 run give @a minecraft:snowball 6
execute if score SnowballGiveSnowball Temp matches 100.. run scoreboard players set SnowballGiveSnowball Temp 0

#Transform snowballs
execute as @e[type=snowball] at @s run function terra_theresistancecamp:misc/snowball/transform_snowball

#Give player speed
effect give @a minecraft:speed 3 1 true

#Move snowball
execute as @e[tag=theresistancecamp_SnowballArmorStand] at @s run tp @s ^ ^ ^0.5

#Snowball particle
execute as @e[tag=theresistancecamp_SnowballArmorStand] at @s run particle minecraft:cloud ~ ~-0.5 ~ 0.1 0.1 0.1 0 1 force

#Check snowball collision with wall
execute as @e[tag=theresistancecamp_SnowballArmorStand] at @s run function terra_theresistancecamp:misc/snowball/check_snowball_collision

#On taking hit
execute as @e[tag=SnowballEnemy] at @s run execute positioned ~ ~-1 ~ run execute if entity @p[distance=..1.5] run function terra_theresistancecamp:misc/snowball/on_snowball_hit_player

#On hitting snowman
execute as @e[tag=SnowballFriendly] at @s run execute if entity @e[tag=theresistancecamp_SnowballSnowman,distance=..1.5] run function terra_theresistancecamp:misc/snowball/on_snowball_hit_snowman

#Move zombies behind players
execute as @p[scores={PlayerID=1}] at @s run tp @e[tag=theresistancecamp_SnowballZombiePlayer1] ~-1 ~ ~
execute as @p[scores={PlayerID=2}] at @s run tp @e[tag=theresistancecamp_SnowballZombiePlayer2] ~-1 ~ ~
execute as @p[scores={PlayerID=3}] at @s run tp @e[tag=theresistancecamp_SnowballZombiePlayer3] ~-1 ~ ~
execute as @p[scores={PlayerID=4}] at @s run tp @e[tag=theresistancecamp_SnowballZombiePlayer4] ~-1 ~ ~
execute as @p[scores={PlayerID=5}] at @s run tp @e[tag=theresistancecamp_SnowballZombiePlayer5] ~-1 ~ ~
execute as @p[scores={PlayerID=6}] at @s run tp @e[tag=theresistancecamp_SnowballZombiePlayer6] ~-1 ~ ~
execute as @p[scores={PlayerID=7}] at @s run tp @e[tag=theresistancecamp_SnowballZombiePlayer7] ~-1 ~ ~
execute as @p[scores={PlayerID=8}] at @s run tp @e[tag=theresistancecamp_SnowballZombiePlayer8] ~-1 ~ ~
execute as @p[scores={PlayerID=9}] at @s run tp @e[tag=theresistancecamp_SnowballZombiePlayer9] ~-1 ~ ~
execute as @p[scores={PlayerID=10}] at @s run tp @e[tag=theresistancecamp_SnowballZombiePlayer10] ~-1 ~ ~

#Prevent player from leaving arena
execute as @a at @s run execute unless entity @s[x=4025,y=81,z=4469,dx=11,dy=7,dz=10] run tp @s 4029 83 4474 -90 0

#Update bossbar
execute store result bossbar minecraft:501 value run scoreboard players get TerraRestore SnowballHealth

#Bossbar visibility
bossbar set minecraft:501 players @a

function terra_theresistancecamp:lang/snowball_score











