#/function terra_worldsedge:encounters/ship/start
#Created by Mithey

#Move player to correct location in adventure mode
gamemode adventure @a
data merge block 49 4 2 {Command:"tp @a[tag=TeleportAndSpawn] 5495 32 5499 -90 0"}
data merge block 50 4 2 {Command:"spawnpoint @a[tag=TeleportAndSpawn] 5495 32 5499"}
execute as @a at @s run function terra_system:misc/move_player_to_current_spawn
function terra_system:on_spawn_change
#function terra_system:on_area_change

#Clear entities
execute as @e[tag=NaturalMob] at @s run tp @s ~ ~-500 ~
kill @e[tag=NaturalMob]

#Reset fury
execute as @a run function terra_system:fury/reset_fury

#Title
title @a times 20 60 60
function terra_worldsedge:lang/encounter_ship_title

#Objective boss bar
bossbar set minecraft:200 name "Progress"
bossbar set minecraft:200 color green
bossbar set minecraft:200 value 0
bossbar set minecraft:200 max 100
bossbar set minecraft:200 style notched_10
bossbar set minecraft:200 visible true

#Playsound
execute as @a at @s run playsound minecraft:entity.wither.spawn hostile @s ~ ~ ~ 30 0.8

#Music
function terra_system:music/set_song/flying_high

#Close gates
#fill X1 Y1 Z1 X2 Y2 Z2 minecraft:iron_bars replace minecraft:air

#Objectives
scoreboard objectives add EncounterTime dummy
scoreboard objectives add EncounterDeath minecraft.custom:minecraft.deaths
scoreboard players set TerraRestore InEncounter 1
scoreboard objectives add RemainingProg dummy
scoreboard players set TerraRestore RemainingProg 0
scoreboard objectives add EncZombKills minecraft.killed:minecraft.zombie
scoreboard players set @a EncZombKills 0

#Reset phase 1
setblock 105 4 -26 minecraft:red_wool

#Heal player
effect give @a minecraft:instant_health 1 20 true
effect give @a minecraft:saturation 1 20 true
execute as @a at @s run function terra_system:potions/refill_potion

#Summon in entities
function terra_worldsedge:encounters/ship/summon_boxes

#Start encounter clock
data merge block ~ ~ ~ {Command:"function terra_worldsedge:encounters/ship/clock"}





